> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Search E-File TDS Return Jobs

> Fetch all TDS/TCS E-file Jobs through this API



## OpenAPI

````yaml api-reference/tds/compliance/openapi.json POST /tds/compliance/e-file/search
openapi: 3.1.0
info:
  title: compliance
  version: 1.0.0
  description: >-
    Tax Deducted at Source (TDS) is an indirect method of collecting Income Tax.
    TDS is based on the principle of “Pay as you earn” which is beneficial for
    both the Government and the taxpayer. It is where a person making a payment
    of specified nature is liable to deduct tax at a prescribed rate. This
    ensures continuous revenue for the Government by way of Tax Deducted at the
    Source.


    The Payer making a payment is also responsible to deposit TDS with the
    Income Tax Department within a specified date and file a TDS Return. Once
    filed, the deposited amount will be shown in the Payee's Form 26AS which
    they can then use to claim tax credits when filing ITR.


    However, staying TDS compliant can be a hassle for businesses, as they are
    required to :


    1. Deduct TDS from payments that are liable for TDS Deduction at an
    appropriate rate.
        
    2. Deposit TDS to Government before the due date.
        
    3. File TDS Returns on a Quarterly basis.
        
    4. Issue a TDS Certificate by the deductor to the deductee.
        

    Organizations deducting TDS have to remain compliant with each of the steps.
    Failure to do so results in TDS Penalties by Authorities. Sandbox provides
    TDS Compliance APIs to help you automate end-to-end TDS compliance.
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tds/compliance/e-file/search:
    post:
      tags:
        - E-File TDS Return
      summary: Fetch Jobs
      parameters:
        - name: authorization
          in: header
          required: true
          description: JWT access token
          deprecated: false
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          description: API key for identification
          deprecated: false
          schema:
            type: string
        - name: x-api-version
          in: header
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  enum:
                    - in.co.sandbox.tds.compliance.e-file.search
                  type: string
                tan:
                  description: >-
                    TAN of deductor/collector. Regular Expression:
                    [A-Z]{4}[0-9]{5}[A-Z]{1}
                  type: string
                quarter:
                  description: Quarter (e.g. Q2)
                  enum:
                    - Q1
                    - Q2
                    - Q3
                    - Q4
                  type: string
                form:
                  description: TDS/TCS return form
                  enum:
                    - 27Q
                    - 24Q
                    - 26Q
                    - 27EQ
                  type: string
                financial_year:
                  description: Financial Year (e.g. FY 2022-23)
                  type: string
                from_date:
                  description: >-
                    Date from which jobs are to be fetched. Value in EPOCH
                    timestamP
                  type: integer
                to_date:
                  description: >-
                    Date till which jobs are to be fetched. Value in EPOCH
                    timestamp
                  type: integer
                page_size:
                  description: >-
                    Number of records in the API response. Maximum allowed size
                    is 50
                  type: integer
                last_evaluated_key:
                  description: >-
                    Base64 encoding of the stringified JSON object, which
                    includes x-api-key, created_at, and job_id
                  type: string
              required:
                - '@entity'
            examples:
              200 Job succeeded:
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.search
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            created_at:
                              type: integer
                            '@entity':
                              type: string
                            job_id:
                              type: string
                            tan:
                              type: string
                            financial_year:
                              type: string
                            quarter:
                              type: string
                            form:
                              type: string
                            filing_type:
                              type: string
                            status:
                              type: string
                  transaction_id:
                    type: string
              examples:
                200 Job succeeded:
                  value:
                    code: 200
                    timestamp: 1763035357079
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.paginated_list
                      items:
                        - created_at: 1763034775467
                          '@entity': in.co.sandbox.tds.compliance.e-file.job
                          job_id: f139447f-07c0-4de1-9f35-0224e253aeec
                          tan: AHMA09719B
                          financial_year: FY 2024-25
                          quarter: Q2
                          form: 24Q
                          filing_type: regular
                          status: created
                        - created_at: 1763034374362
                          '@entity': in.co.sandbox.tds.compliance.e-file.job
                          job_id: 6cc8a10e-6c09-4c6f-9bfe-d10b6f6afbb0
                          tan: SRTH05889C
                          financial_year: FY 2023-24
                          quarter: Q2
                          form: 26Q
                          filing_type: regular
                          status: created
                        - created_at: 1745588854631
                          updated_at: 1745588884436
                          '@entity': in.co.sandbox.tds.compliance.e-file.job
                          job_id: 8566e974-9f6f-49ca-96cb-c75680261405
                          tan: SRTH05889C
                          financial_year: FY 2023-24
                          quarter: Q2
                          form: 26Q
                          filing_type: regular
                          status: succeeded
                    transaction_id: a109f017-10ae-44aa-ade7-3902a8cddd6b

````